/**
 * Created by IntelliJ IDEA.
 * User: m09kyy
 * Date: 30.09.2009
 * Time: 19:42:14
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.PrintWriter;
import java.io.File;

public class otnoshenie {
    public static void main(String[]args)throws Exception {
        Scanner S = new Scanner(new File("ratio.in"));
        double a = S.nextInt();
        double b = S.nextInt();
    PrintWriter p=new PrintWriter(new File("ratio.out"));
        if (b==0)  {p.print("V predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya!!!"); }
        else {p.print (a/b); }
        p.close(); }
}
